using System;
using System.Collections.Generic;
using System.Data.Common;
using Infragistics.Reports;
using System.Data.SqlClient;

namespace ClassLibrary1
{
    [ReportDbConnectionExport(ReportSearchPattern = "Report1")]
    public class ReportDbConnectionProvider1 : IReportDbConnectionProvider
    {
        public DbConnection GetConnection(string name, IDictionary<string, ParameterValue> reportParameters)
        {
            if (reportParameters.ContainsKey("Option") && reportParameters["Option"].Value != null)
            {
                if (reportParameters["Option"].Value.ToString() == "Part1")
                {
                    return new SqlConnection(@"Data Source=.\sqlexpress;Initial Catalog=advWrksP1;Integrated Security=True");
                }
                if (reportParameters["Option"].Value.ToString() == "Part2")
                {
                    return new SqlConnection(@"Data Source=.\sqlexpress;Initial Catalog=advWrksP2;Integrated Security=True");
                }
            }
            // will fall back to the default (designer) connection 
            return null;
        }
    } 

}